/*
 * @Descripttion: 
 * @version: 
 * @Author: kBank
 * @Date: 2022-10-24 10:45:39
 */
import request from '@/utils/request'

export function login(data) {
  return request({
    url: '/system/auth/manage/login',
    method: 'post',
    data
  })
}

export function getInfo() {
  return request({
    url: '/system/manage/user/get-info',
    method: 'get',
  })
}
// 管理员是否登录短信验证
export function userCheck(params) {
  return request({
    url: '/system/auth/manage/user-sms-check',
    method: 'get',
    params
  })
}
// 管理员登录发送验证码
export function userSend(params) {
  return request({
    url: '/system/auth/manage/user-sms-send',
    method: 'get',
    params
  })
}

export function logout() {
  return request({
    url: '/system/auth/manage/logout',
    method: 'delete'
  })
}
// 获取验证码
export function getCodeImg(params) {
  return request({
    url: '/code',
    method: 'get',
    params
  })
}
// 结算国列表
export function userCountryList(params) {
  return request({
    url: '/system/manage/user-country/list',
    method: 'get',
    params
  })
}
// 切换结算国
export function changeList(id) {
  return request({
    url: '/system/manage/user-country/change/' + id,
    method: 'post',
  })
}
// 切换系统类型
export function changeSystemList(id) {
  return request({
    url: '/system/manage/system-type/change/' + id,
    method: 'post',
  })
}
// 切换语言
export function languages(params) {
  return request({
    url: '/system/pub/enums/get-languages',
    method: 'get',
    params
  })
}
// 切换语言
export function systemTypeList(params) {
  return request({
    url: '/system/manage/system-type/list',
    method: 'get',
    params
  })
}